Full name: projects.locations.asyncRetrieveContexts
Asynchronous API to retrieves relevant contexts for a query.
Endpoint
posthttps://{service-endpoint}/v1beta1/{parent}:asyncRetrieveContexts
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The resource name of the Location from which to retrieve RagContexts. The users must have permission to make a call in the project. Format: projects/{project}/locations/{location}.
Request body
The request body contains data with the following structure:
Required. Single RAG retrieve query.
Optional. The tools to use for locations.askContexts.
Response body
If successful, the response body contains an instance of Operation.
IAM Permissions
Requires the following IAM permission on the parent resource:
aiplatform.ragCorpora.list
For more information, see the IAM documentation.